﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication3
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            InitializeChart();
        }
        Steema.TeeChart.WPF.Styles.Bar bar1, bar2;
        Double[] y;
        Double[] y1;
        private void InitializeChart()
        {
            tChart1.Aspect.View3D = false;
          
            Random rnd = new Random();
            y = new Double[14];
            y1 = new Double[14];
            for (int i = 0; i < 14; i++)
            {
                y[i] = rnd.Next(100);
                y1[i] = rnd.Next(100);
            }
            checkBox1.IsChecked = true;
        }
        private void checkBox1_Checked(object sender, RoutedEventArgs e)
        {
            tChart1.Series.Clear();
            bar1 = new Steema.TeeChart.WPF.Styles.Bar(tChart1.Chart);
            for (int i = 0; i < 3; i++)
            {
                bar1.Add(i, y[i]);
            }
            tChart1.Axes.Bottom.SetMinMax(-1, 3);
        }
        private void checkBox1_Unchecked(object sender, RoutedEventArgs e)
        {
            tChart1.Series.Clear();
            bar1 = new Steema.TeeChart.WPF.Styles.Bar(tChart1.Chart);
            bar2 = new Steema.TeeChart.WPF.Styles.Bar(tChart1.Chart);
            for (int i = 0; i < 3; i++)
            {
                bar1.Add(i, y[i]);
                bar2.Add(i, y1[i]);
            }
            tChart1.Axes.Bottom.SetMinMax(-1, 3);
            bar1.MultiBar = Steema.TeeChart.WPF.Styles.MultiBars.Stacked100;
        }

    }
}
